<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../../../style.css');
    @import url('../../../../../../roundedcorners.css');
  </style>
    
  <title>HttpMime 4.2.3</title></head>
<body onload="onLoad('HttpMime 4.2.3: org.apache.http.entity.mime.content.ByteArrayBody.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpMime 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:14:07 CET</div>

        
    
            <div class="navBar"><a href="../../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="ByteArrayBody.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

        <td class="headerStats">
        <table>
            <tr>
                <td>
                    <img src="../../../../../../img/srcFileCovDistChart0.png" alt="../../../../../../img/srcFileCovDistChart0.png" usemap="#srcFileCovDistChart0.png" align="middle"/>
                    <map id="srcFileCovDistChart0.png" name="srcFileCovDistChart0.png">
<area shape="rect" coords="81,45,87,46" title="0 files have 91-100% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="74,7,80,44" title="3 files have 81-90% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="67,7,73,44" title="3 files have 71-80% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="60,32,66,44" title="1 file has 61-70% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="53,32,59,44" title="1 file has 51-60% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="46,45,52,46" title="0 files have 41-50% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="39,45,45,46" title="0 files have 31-40% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="32,32,38,44" title="1 file has 21-30% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="25,45,31,46" title="0 files have 11-20% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="18,45,24,46" title="0 files have 1-10% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="11,32,17,44" title="1 file has 0% coverage" alt="" nohref="nohref"/>
</map>
                </td>
                <td>
                    <span class="subtle"><span class="bold">90% </span>of files have more coverage</span>
                </td>
            </tr>
        </table>
    </td>
    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file ByteArrayBody.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      11
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      98
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      8
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1.57
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      35
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.73
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      7
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1.14
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file ByteArrayBody.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      11
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      98
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      8
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1.57
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      35
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.73
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      7
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1.14
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="ByteArrayBody" >
                                <span class="expand methodStart" id="span-ByteArrayBody" onclick="toggleClass(this, 'ByteArrayBody', 7);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#40" title="ByteArrayBody">ByteArrayBody</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('ByteArrayBody'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 40
                <a name="sl-40"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    11
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    8
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    20
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    0%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="ByteArrayBody-1" style="display:none">
            <td class="methodSummary" id="summary-59-5">
                <span class="sortValue">ByteArrayBody(byte[],String,String)</span>
                &nbsp;&nbsp;<a href="#59" title="ByteArrayBody(byte[],String,String)" name="sl-59">ByteArrayBody(byte[],String,String)</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">59</span>
                59
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">5.0</span>
              5
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">2.0</span>
              2
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">7.0</span>
              7
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ByteArrayBody-2" style="display:none">
            <td class="methodSummary" id="summary-74-5">
                <span class="sortValue">ByteArrayBody(byte[],String)</span>
                &nbsp;&nbsp;<a href="#74" title="ByteArrayBody(byte[],String)" name="sl-74">ByteArrayBody(byte[],String)</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">74</span>
                74
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ByteArrayBody-3" style="display:none">
            <td class="methodSummary" id="summary-78-5">
                <span class="sortValue">getFilename()&nbsp;:&nbsp;String</span>
                &nbsp;&nbsp;<a href="#78" title="getFilename()&nbsp;:&nbsp;String" name="sl-78">getFilename()&nbsp;:&nbsp;String</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">78</span>
                78
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ByteArrayBody-4" style="display:none">
            <td class="methodSummary" id="summary-82-5">
                <span class="sortValue">writeTo(OutputStream)&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#82" title="writeTo(OutputStream)&nbsp;:&nbsp;void" name="sl-82">writeTo(OutputStream)&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">82</span>
                82
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ByteArrayBody-5" style="display:none">
            <td class="methodSummary" id="summary-86-5">
                <span class="sortValue">getCharset()&nbsp;:&nbsp;String</span>
                &nbsp;&nbsp;<a href="#86" title="getCharset()&nbsp;:&nbsp;String" name="sl-86">getCharset()&nbsp;:&nbsp;String</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">86</span>
                86
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ByteArrayBody-6" style="display:none">
            <td class="methodSummary" id="summary-90-5">
                <span class="sortValue">getTransferEncoding()&nbsp;:&nbsp;String</span>
                &nbsp;&nbsp;<a href="#90" title="getTransferEncoding()&nbsp;:&nbsp;String" name="sl-90">getTransferEncoding()&nbsp;:&nbsp;String</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">90</span>
                90
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ByteArrayBody-7" style="display:none">
            <td class="methodSummary" id="summary-94-5">
                <span class="sortValue">getContentLength()&nbsp;:&nbsp;long</span>
                &nbsp;&nbsp;<a href="#94" title="getContentLength()&nbsp;:&nbsp;long" name="sl-94">getContentLength()&nbsp;:&nbsp;long</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">94</span>
                94
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
<tbody>

    <tr>
        <td class="hbreak hint" align="left" colspan="4">
            No Tests
        </td>
    </tr>
</tbody>    
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"><span class="keyword">package</span> org.apache.http.entity.<a href="../../mime/pkg-summary.html">mime</a>.<a href="../content/pkg-summary.html">content</a>;</span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"></span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"><span class="keyword">import</span> java.io.IOException;</span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> java.io.OutputStream;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"></span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine"><span class="keyword">import</span> org.apache.http.entity.<a href="../../mime/pkg-summary.html">mime</a>.<a href="../../../../../../org/apache/http/entity/mime/MIME.html#MIME">MIME</a>;</span></td>
</tr>
        

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-33" class="srcLine"><span class="keyword">import</span> org.apache.http.entity.<a href="../../mime/pkg-summary.html">mime</a>.<a href="../content/pkg-summary.html">content</a>.<a href="../../../../../../org/apache/http/entity/mime/content/AbstractContentBody.html#AbstractContentBody">AbstractContentBody</a>;</span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"></span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine"><span class="comment">/**</span></span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"><span class="comment"> * Body part that is built using a byte array containing a file.</span></span></td>
</tr>
        

<tr id="l37">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-37" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l38">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-38" class="srcLine"><span class="comment"> * </span><span class="javadoc">@since</span><span class="comment"> 4.1</span></span></td>
</tr>
        

<tr id="l39">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-39" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="40" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-40' onclick="toggleInlineStats(this, 'inlinestats-40');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-40" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-40'), 'inlinestats-40');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 20 (20)</td>
           <td class="inlineStat">Complexity: 8</td>
           <td class="inlineStat">Complexity Density: 0.73</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l40">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount NoHilight "
            >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-40" >
    <span class="spacer"></span><span id="src-40" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">class</span> <a href="../../../../../../org/apache/http/entity/mime/content/ByteArrayBody.html#ByteArrayBody">ByteArrayBody</a> <span class="keyword">extends</span> <a href="../../../../../../org/apache/http/entity/mime/content/AbstractContentBody.html#AbstractContentBody">AbstractContentBody</a> {</span></td>
</tr>
        

<tr id="l41">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-41" class="srcLine"></span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine"><span class="comment">     * The contents of the file contained in this part.</span></span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
        

<tr id="l45">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-45" class="srcLine">    <span class="keyword">private</span> <span class="keyword">final</span> <span class="keyword">byte</span>[] data;</span></td>
</tr>
        

<tr id="l46">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=46#src-46">46</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-46" class="srcLine"></span></td>
</tr>
        

<tr id="l47">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=47#src-47">47</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-47" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l48">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=48#src-48">48</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-48" class="srcLine"><span class="comment">     * The name of the file contained in this part.</span></span></td>
</tr>
        

<tr id="l49">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=49#src-49">49</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-49" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
        

<tr id="l50">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=50#src-50">50</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-50" class="srcLine">    <span class="keyword">private</span> <span class="keyword">final</span> String filename;</span></td>
</tr>
        

<tr id="l51">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=51#src-51">51</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-51" class="srcLine"></span></td>
</tr>
        

<tr id="l52">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=52#src-52">52</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-52" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l53">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=53#src-53">53</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-53" class="srcLine"><span class="comment">     * Creates a new ByteArrayBody.</span></span></td>
</tr>
        

<tr id="l54">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=54#src-54">54</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-54" class="srcLine"><span class="comment">     *</span></span></td>
</tr>
        

<tr id="l55">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=55#src-55">55</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-55" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> data The contents of the file contained in this part.</span></span></td>
</tr>
        

<tr id="l56">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=56#src-56">56</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-56" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> mimeType The mime type of the file contained in this part.</span></span></td>
</tr>
        

<tr id="l57">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=57#src-57">57</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-57" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> filename The name of the file contained in this part.</span></span></td>
</tr>
        

<tr id="l58">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=58#src-58">58</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-58" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="59" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-59' onclick="toggleInlineStats(this, 'inlinestats-59');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-59" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-59'), 'inlinestats-59');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 7 (7)</td>
           <td class="inlineStat">Complexity: 2</td>
           <td class="inlineStat">Complexity Density: 0.4</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l59">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=59#src-59">59</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 59, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-59" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 59,66);" id="img-59" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-59" class="srcLineHilight"><span class="nolink" title="Line 59, Col 5: method not entered.">    <span class="keyword">public</span> <a href="../../../../../../org/apache/http/entity/mime/content/ByteArrayBody.html#ByteArrayBody">ByteArrayBody</a>(<span class="keyword">final</span> <span class="keyword">byte</span>[] data, <span class="keyword">final</span> String mimeType, <span class="keyword">final</span> String filename) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-59'), 59,66);" id="e59" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l60">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=60#src-60">60</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 60, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-60" class="srcLineHilight"><span class="nolink" title="Line 60, Col 9: statement not executed.">        <span class="keyword">super</span>(mimeType);</span></span></td>
</tr>
        

<tr id="l61">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=61#src-61">61</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 61, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-61" class="srcLineHilight"><span class="nolink" title="Line 61, Col 9: statement not executed.">        <span class="keyword">if</span> (data == <span class="keyword">null</span>) {</span></span></td>
</tr>
        

<tr id="l62">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=62#src-62">62</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 62, Col 13: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-62" class="srcLineHilight"><span class="nolink" title="Line 62, Col 13: statement not executed.">            <span class="keyword">throw</span> <span class="keyword">new</span> IllegalArgumentException(<span class="string">&quot;byte[] may not be null&quot;</span>);</span></span></td>
</tr>
        

<tr id="l63">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=63#src-63">63</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-63" class="srcLine">        }</span></td>
</tr>
        

<tr id="l64">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=64#src-64">64</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 64, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-64" class="srcLineHilight"><span class="nolink" title="Line 64, Col 9: statement not executed.">        <span class="keyword">this</span>.data = data;</span></span></td>
</tr>
        

<tr id="l65">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=65#src-65">65</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 65, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-65" class="srcLineHilight"><span class="nolink" title="Line 65, Col 9: statement not executed.">        <span class="keyword">this</span>.filename = filename;</span></span></td>
</tr>
        

<tr id="l66">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=66#src-66">66</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-66" class="srcLine">    }</span></td>
</tr>
        

<tr id="l67">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=67#src-67">67</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-67" class="srcLine"></span></td>
</tr>
        

<tr id="l68">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=68#src-68">68</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-68" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l69">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=69#src-69">69</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-69" class="srcLine"><span class="comment">     * Creates a new ByteArrayBody.</span></span></td>
</tr>
        

<tr id="l70">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=70#src-70">70</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-70" class="srcLine"><span class="comment">     *</span></span></td>
</tr>
        

<tr id="l71">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=71#src-71">71</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-71" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> data The contents of the file contained in this part.</span></span></td>
</tr>
        

<tr id="l72">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=72#src-72">72</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-72" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> filename The name of the file contained in this part.</span></span></td>
</tr>
        

<tr id="l73">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=73#src-73">73</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-73" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="74" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-74' onclick="toggleInlineStats(this, 'inlinestats-74');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-74" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-74'), 'inlinestats-74');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l74">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=74#src-74">74</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 74, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-74" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 74,76);" id="img-74" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-74" class="srcLineHilight"><span class="nolink" title="Line 74, Col 5: method not entered.">    <span class="keyword">public</span> <a href="../../../../../../org/apache/http/entity/mime/content/ByteArrayBody.html#ByteArrayBody">ByteArrayBody</a>(<span class="keyword">final</span> <span class="keyword">byte</span>[] data, <span class="keyword">final</span> String filename) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-74'), 74,76);" id="e74" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l75">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=75#src-75">75</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 75, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-75" class="srcLineHilight"><span class="nolink" title="Line 75, Col 9: statement not executed.">        <span class="keyword">this</span>(data, <span class="string">&quot;application/octet-stream&quot;</span>, filename);</span></span></td>
</tr>
        

<tr id="l76">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=76#src-76">76</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-76" class="srcLine">    }</span></td>
</tr>
        

<tr id="l77">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=77#src-77">77</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-77" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="78" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-78' onclick="toggleInlineStats(this, 'inlinestats-78');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-78" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-78'), 'inlinestats-78');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l78">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=78#src-78">78</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 78, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-78" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 78,80);" id="img-78" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-78" class="srcLineHilight"><span class="nolink" title="Line 78, Col 5: method not entered.">    <span class="keyword">public</span> String getFilename() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-78'), 78,80);" id="e78" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l79">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=79#src-79">79</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 79, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-79" class="srcLineHilight"><span class="nolink" title="Line 79, Col 9: statement not executed.">        <span class="keyword">return</span> filename;</span></span></td>
</tr>
        

<tr id="l80">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=80#src-80">80</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-80" class="srcLine">    }</span></td>
</tr>
        

<tr id="l81">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=81#src-81">81</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-81" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="82" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-82' onclick="toggleInlineStats(this, 'inlinestats-82');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-82" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-82'), 'inlinestats-82');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l82">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=82#src-82">82</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 82, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-82" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 82,84);" id="img-82" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-82" class="srcLineHilight"><span class="nolink" title="Line 82, Col 5: method not entered.">    <span class="keyword">public</span> <span class="keyword">void</span> writeTo(<span class="keyword">final</span> OutputStream out) <span class="keyword">throws</span> IOException {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-82'), 82,84);" id="e82" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l83">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=83#src-83">83</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 83, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-83" class="srcLineHilight"><span class="nolink" title="Line 83, Col 9: statement not executed.">        out.write(data);</span></span></td>
</tr>
        

<tr id="l84">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=84#src-84">84</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-84" class="srcLine">    }</span></td>
</tr>
        

<tr id="l85">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=85#src-85">85</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-85" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="86" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-86' onclick="toggleInlineStats(this, 'inlinestats-86');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-86" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-86'), 'inlinestats-86');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l86">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=86#src-86">86</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 86, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-86" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 86,88);" id="img-86" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-86" class="srcLineHilight"><span class="nolink" title="Line 86, Col 5: method not entered.">    <span class="keyword">public</span> String getCharset() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-86'), 86,88);" id="e86" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l87">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=87#src-87">87</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 87, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-87" class="srcLineHilight"><span class="nolink" title="Line 87, Col 9: statement not executed.">        <span class="keyword">return</span> <span class="keyword">null</span>;</span></span></td>
</tr>
        

<tr id="l88">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=88#src-88">88</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-88" class="srcLine">    }</span></td>
</tr>
        

<tr id="l89">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=89#src-89">89</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-89" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="90" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-90' onclick="toggleInlineStats(this, 'inlinestats-90');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-90" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-90'), 'inlinestats-90');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l90">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=90#src-90">90</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 90, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-90" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 90,92);" id="img-90" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-90" class="srcLineHilight"><span class="nolink" title="Line 90, Col 5: method not entered.">    <span class="keyword">public</span> String getTransferEncoding() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-90'), 90,92);" id="e90" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l91">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=91#src-91">91</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 91, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-91" class="srcLineHilight"><span class="nolink" title="Line 91, Col 9: statement not executed.">        <span class="keyword">return</span> <a href="../../../../../../org/apache/http/entity/mime/MIME.html#MIME">MIME</a>.ENC_BINARY;</span></span></td>
</tr>
        

<tr id="l92">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=92#src-92">92</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-92" class="srcLine">    }</span></td>
</tr>
        

<tr id="l93">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=93#src-93">93</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-93" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="94" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-94' onclick="toggleInlineStats(this, 'inlinestats-94');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-94" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-94'), 'inlinestats-94');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l94">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=94#src-94">94</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 94, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-94" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 94,96);" id="img-94" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-94" class="srcLineHilight"><span class="nolink" title="Line 94, Col 5: method not entered.">    <span class="keyword">public</span> <span class="keyword">long</span> getContentLength() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-94'), 94,96);" id="e94" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l95">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=95#src-95">95</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 95, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-95" class="srcLineHilight"><span class="nolink" title="Line 95, Col 9: statement not executed.">        <span class="keyword">return</span> data.length;</span></span></td>
</tr>
        

<tr id="l96">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=96#src-96">96</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-96" class="srcLine">    }</span></td>
</tr>
        

<tr id="l97">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=97#src-97">97</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-97" class="srcLine"></span></td>
</tr>
        

<tr id="l98">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=98#src-98">98</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-98" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:14:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../../../';
    var testsPerFile = -1;
</script>
<script src="ByteArrayBody.js" type="text/javascript"></script>
<script src="../../../../../../help.js" type="text/javascript"></script>
<script src="../../../../../../clover.js" type="text/javascript"></script>
<script src="../../../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../../../utils.js" type="text/javascript"></script>
</body>

</html>
